Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# byte_to_memunit Struct Template Reference

`#include <pixel_iterator.hpp>`

## Detailed Description

### template<typename T>
struct boost::gil::byte_to_memunit< T >

Support for pixel iterator movement measured in memory units (bytes or bits) as opposed to pixel type.
Necessary to handle image row alignment and channel plane alignment.

The documentation for this struct was generated from the following file:

- pixel_iterator.hpp